## ide-device-info ide-device-info |

## Functions

IdeDeviceInfo * | ide_device_info_new ()
IdeDeviceKind | ide_device_info_get_kind ()
void | ide_device_info_set_kind ()
IdeTriplet * | ide_device_info_get_host_triplet ()
void | ide_device_info_set_host_triplet ()

## Properties

IdeTriplet * | host-triplet | Read / Write
IdeDeviceKind | kind | Read / Write

## Types and Values

enum | IdeDeviceKind
#define | IDE_TYPE_DEVICE_INFO
| IdeDeviceInfo

## Object Hierarchy

        GEnum
        ╰── IdeDeviceKind
        GObject
        ╰── IdeDeviceInfo

## Description

## Functions

### ide_device_info_new ()

    IdeDeviceInfo *
    ide_device_info_new (void);

### ide_device_info_get_kind ()

    IdeDeviceKind
    ide_device_info_get_kind (IdeDeviceInfo *self);

Get the IdeDeviceKind of the device describing the type of device `self` refers to

#### Parameters

self | An IdeDeviceInfo |

#### Returns

An IdeDeviceKind.

Since: 3.32

### ide_device_info_set_kind ()

    void
    ide_device_info_set_kind (IdeDeviceInfo *self,
                              IdeDeviceKind kind);

Set the IdeDeviceKind of the device describing the type of device `self` refers to

#### Parameters

self | An IdeDeviceInfo |
kind | An IdeDeviceKind |

Since: 3.32

### ide_device_info_get_host_triplet ()

    IdeTriplet *
    ide_device_info_get_host_triplet (IdeDeviceInfo *self);

Get the IdeTriplet object describing the configuration name of the Device (its architecture…)

#### Parameters

self | An IdeDeviceInfo |

#### Returns

An IdeTriplet.

[transfer none][nullable]

Since: 3.32

### ide_device_info_set_host_triplet ()

    void
    ide_device_info_set_host_triplet (IdeDeviceInfo *self,
                                      IdeTriplet *host_triplet);

Set the IdeTriplet object describing the configuration name

#### Parameters

self | An IdeDeviceInfo |

Since: 3.32

## Types and Values

### enum IdeDeviceKind

#### Members

IDE_DEVICE_KIND_COMPUTER |  |
IDE_DEVICE_KIND_PHONE |  |
IDE_DEVICE_KIND_TABLET |  |
IDE_DEVICE_KIND_MICRO_CONTROLLER |  |

### IDE_TYPE_DEVICE_INFO

    #define IDE_TYPE_DEVICE_INFO (ide_device_info_get_type())

### IdeDeviceInfo

    typedef struct _IdeDeviceInfo IdeDeviceInfo;

## Property Details

### The `“host-triplet”` property

      “host-triplet”             IdeTriplet *

The #IdeTriplet object holding all the configuration name values.

Owner: IdeDeviceInfo

Flags: Read / Write

### The `“kind”` property

      “kind”                     IdeDeviceKind

The device kind.

Owner: IdeDeviceInfo

Flags: Read / Write

Default value: IDE_DEVICE_KIND_COMPUTER